<template lang="pug">
  span.text(
    :class='[size, skin, weight]'
  )
    slot
</template>

<script lang="ts">
import { Vue, Component, Prop } from 'vue-property-decorator'

@Component
export default class BaseText extends Vue {
  @Prop() readonly size: string
  @Prop() readonly skin: string
  @Prop() readonly weight: string
}
</script>

<style lang="scss" scoped>
@import '../assets/styles/config/variables.scss';

.bold {
  font-weight: bold;
}

.weight500 {
  font-weight: 500;
}

.weight600 {
  font-weight: 600;
}

.text {
  display: block;
}

.text-lrg {
  font-size: 56px;
  line-height: 72px;
}

.text-bg {
  font-size: 32px;
  line-height: 40px;
}

.text-bg-md {
  font-size: 24px;
  line-height: 32px;
}

.text-md {
  font-size: 20px;
  line-height: 32px;
}

.text-md-min-line-height {
  font-size: 20px;
  line-height: 24px;
}

.text-md-small {
  font-size: 16px;
  line-height: 24px;
}

.text-small {
  font-size: 14px;
  line-height: 20px;
}

.text-smallest {
  font-size: 12px;
  line-height: 16px;
}

.grey {
  color: $cost-color;
}

.dark-grey {
  color: #4C5865;
}

.black {
  color: #212529;
}
</style>
